Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class TSTInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.tsp.TSTInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TSTInfo
extends ASN1Object

Constructor Summary
`TSTInfo(ASN1ObjectIdentifier tsaPolicyId, MessageImprint messageImprint, ASN1Integer serialNumber, ASN1GeneralizedTime genTime, Accuracy accuracy, ASN1Boolean ordering, ASN1Integer nonce, GeneralName tsa, Extensions extensions)`

Method Summary
`Accuracy` | `getAccuracy()`
`Extensions` | `getExtensions()`
`ASN1GeneralizedTime` | `getGenTime()`
`static TSTInfo` | `getInstance(java.lang.Object o)`
`MessageImprint` | `getMessageImprint()`
`ASN1Integer` | `getNonce()`
`ASN1Boolean` | `getOrdering()`
`ASN1ObjectIdentifier` | `getPolicy()`
`ASN1Integer` | `getSerialNumber()`
`GeneralName` | `getTsa()`
`ASN1Integer` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` TSTInfo ::= SEQUENCE { version INTEGER { v1(1) }, policy TSAPolicyId, messageImprint MessageImprint, -- MUST have the same value as the similar field in -- TimeStampReq serialNumber INTEGER, -- Time-Stamping users MUST be ready to accommodate integers -- up to 160 bits.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSTInfo

    public TSTInfo(ASN1ObjectIdentifier tsaPolicyId,
                   MessageImprint messageImprint,
                   ASN1Integer serialNumber,
                   ASN1GeneralizedTime genTime,
                   Accuracy accuracy,
                   ASN1Boolean ordering,
                   ASN1Integer nonce,
                   GeneralName tsa,
                   Extensions extensions)

Method Detail

### getInstance

    public static TSTInfo getInstance(java.lang.Object o)

### getVersion

    public ASN1Integer getVersion()

### getMessageImprint

    public MessageImprint getMessageImprint()

### getPolicy

    public ASN1ObjectIdentifier getPolicy()

### getSerialNumber

    public ASN1Integer getSerialNumber()

### getAccuracy

    public Accuracy getAccuracy()

### getGenTime

    public ASN1GeneralizedTime getGenTime()

### getOrdering

    public ASN1Boolean getOrdering()

### getNonce

    public ASN1Integer getNonce()

### getTsa

    public GeneralName getTsa()

### getExtensions

    public Extensions getExtensions()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  TSTInfo ::= SEQUENCE { version INTEGER { v1(1) }, policy TSAPolicyId, messageImprint MessageImprint, -- MUST have the same value as the similar field in -- TimeStampReq serialNumber INTEGER, -- Time-Stamping users MUST be ready to accommodate integers -- up to 160 bits. genTime GeneralizedTime, accuracy Accuracy OPTIONAL, ordering BOOLEAN DEFAULT FALSE, nonce INTEGER OPTIONAL, -- MUST be present if the similar field was present -- in TimeStampReq. In that case it MUST have the same value. tsa [0] GeneralName OPTIONAL, extensions [1] IMPLICIT Extensions OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD